See more...

How to Unlock iPhone 3G 4.2.1 Baseband 5.15.04 Using Ultrasn0w?

Hello Jaxov, I need you assistance here, please. I need help to unlock my iPhone 3G. My contract to AT&T will end next month and had no plan to renew it as I’m getting very poor service. I’m planning to use my iPhone 3G over T-Mobile. But the problem is that I can’t unlock my iPhone using Ultrasn0w. It’s already jailbroken on iOS 4.2.1 using Redsn0w (forgot the Redsn0w version) and it has baseband 5.15.04. Also, I want to get Cydia back after the jailbreak. Please help.

Asked by: Jimmy from North Branford, Connecticut

Hello Jimmy, as far as I know, you will not be able to unlock your iPhone 3G using Ultrasn0w due to the fact that your iPhone is running on unsupported 5.15.04 baseband. But in order to unlock it, you will need rejailbreak it on iOS 4.2.1 and update its baseband to an iPad’s baseband (version 6.15.00) and then unlock it using Ultrasn0w. Regarding Cydia, of course, you will be able to get Cydia once after jailbreaking it. However, it is worth noting here that upgrading the baseband of the iPhone to iPad’s baseband will lose its GPS functionality. Meaning, your Map and other app that utilizes GPS will not work as well.

Anyway, if you don’t care much about GPS, then you can jailbreak your iPhone 3G using Redsn0w 0.9.6b5 to update to update your baseband to 06.15.00. If you are not familiar with the procedure, you can follow this tutorial on how to jailbreak iPhone 3GS / 3G using Redsn0w 0.9.6b5 for Mac and Windows. The tutorial will also show you how to update the baseband of your iPhone 3G. Make sure that you do not check the Install Cydia as your device is already jailbroken.

Once completely jailbroken and with iPad’s 6.15.00 baseband installed, launch Cydia and download Ultrasn0w. You can follow this tutorial on how to unlock iPhone 3G on iOS 4.2.1 using Ultrasn0w 1.2.

How to Update iPhone 3G Baseband to 6.15.00

Leave a message...